Package Details: openrc 0.38.1-1

Git Clone URL: https://aur.archlinux.org/openrc.git (read-only, click to copy)
Package Base: openrc
Description: Dependency based init system that works with sysvinit.
Upstream URL: https://github.com/OpenRC/openrc/
Licenses: BSD
Submitter: apg
Maintainer: apg (Lone_Wolf)
Last Packager: Lone_Wolf
Votes: 36
Popularity: 0.64
First Submitted: 2012-11-09 21:19
Last Updated: 2018-07-07 13:46

Latest Comments

1 2 3 4 Next › Last »

Lone_Wolf commented on 2019-11-30 12:45

Once I publish 0.42.1 PKGBUILD it will have that, but there is still much to do before I upload that.

See my wiki user page[1] and forum thread[2] for more info.

[1] https://wiki.archlinux.org/index.php/User:Lone_Wolf

[2] https://bbs.archlinux.org/viewtopic.php?id=250693

Tonich commented on 2019-11-30 08:03

Please port openrc-sysvinit to optional dependencies. Because from version 0.25 openrc has its own initialization system "init=/usr/bin/openrc-init" and works fine without inittab and even parallel with systemd

Lone_Wolf commented on 2018-07-07 13:57

Updated to 0.38.1 .

When booting with systemd/libsystemd 239.0-2 there are some problems on my system

Dbus takes a long time to start, avahi-daemon fails. Console login times out, login with autostarting X does wpork, but i also very slow. I'm ignoring systemd & libsystemd updates for now, while trying to figure out what's wrong.

If there are still people using this besides me, please post your results with systemd 239 & openrc .

Lone_Wolf commented on 2018-03-15 15:07

added bash-completion files, they've been present in source for a long time already but no one seems to have noticed this package didn't install them.

updated to 0.35.5

Lone_Wolf commented on 2017-03-12 18:14

Updated to 0.24

systemd-style tmpfiles support is now in a separate package, opentmpfiles .

Lone_Wolf commented on 2016-06-29 09:03

dreieck,sorry for not replying sooner.

please explain why that change is needed ?

dreieck commented on 2016-03-12 15:34

Can you please add

provides=(openrc-core=${pkgver})

?

Alad commented on 2015-12-15 19:14

Please, go spread your FUD elsewhere, and don't use testing if you can't manage breakage.

https://lists.archlinux.org/pipermail/arch-dev-public/2015-October/027467.html

Anonymous comment on 2015-12-15 09:11

Lone_Wolf, i don't think that openrc is to blame for the segfaults. it's just that openrc and all init scripts i tried segfaulted with libc-2.22 being the culprit after my update. i just couldn't start my system or repair it for that matter.

its also true that other packages were broken by the ncurses update but there is a difference if i just have to recompile some packages or if i have to start up a rescue system because my init is broken.

since systemd TOO segfaulted after installing and only ld /lib/init showed a missing link for some library i had to reinstall before even systemd started up properly, its even more difficult to foresee if this wouldn't have happened either way.

Lone_Wolf commented on 2015-12-13 11:26

eNTi , while i agree openrc on arch should get more attention, i'm not sure your libc segfaults have to do with openrc.

Below are the glibc updates i had this year, none of them gave me any problems.
Or am i looking at the wrong package ?

If the first time "openrc was broken by an arch system update" refers to the ncurses6 update, that update broke many aur pacakges.


[2015-02-09 12:10] [ALPM] upgraded lib32-glibc (2.20-6 -> 2.21-1)
[2015-02-11 10:04] [ALPM] upgraded glibc (2.21-1 -> 2.21-2)
[2015-02-12 08:48] [ALPM] upgraded lib32-glibc (2.21-1 -> 2.21-2)
[2015-04-23 09:01] [ALPM] upgraded glibc (2.21-2 -> 2.21-3)
[2015-05-22 10:15] [ALPM] upgraded glibc (2.21-3 -> 2.21-4)
[2015-05-22 10:15] [ALPM] upgraded lib32-glibc (2.21-2 -> 2.21-4)
[2015-08-12 09:14] [ALPM] upgraded glibc (2.21-4 -> 2.22-1)
[2015-08-12 09:14] [ALPM] upgraded lib32-glibc (2.21-4 -> 2.22-1)
[2015-09-06 13:10] [ALPM] upgraded glibc (2.22-1 -> 2.22-3)
[2015-09-07 21:21] [ALPM] upgraded lib32-glibc (2.22-1 -> 2.22-3)
[2015-10-21 23:18] [ALPM] upgraded lib32-glibc (2.22-3 -> 2.22-3.1)